﻿.course-box{
    width: 100%;
    display: block;
    background-color: #f5f5f5;
    min-height: calc(100vh - 140px);
    font-size: 0;
    margin-top: 140px;
}
.course-all-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    box-sizing: border-box;
    padding: 70px 0;
}
.course-name-box{
    width: 100%;
    background-color: #fff;
    box-sizing: border-box;
    padding: 40px;
}
.course-name{
    width: 360px;
    display: inline-block;
    vertical-align: top;
    margin-right: 60px;
    outline: none;
}
.course-name-img-box{
    width: 100%;
    height: 240px;
    display: block;
    overflow: hidden;
}
.course-name-img-box span{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.course-text{
    font-size: 16px;
    font-weight: bold;
    letter-spacing: 1px;
    color: #000;
    text-align: center;
    margin-top: 10px;
}
.course-name-box .slick-prev{
    left: 10px;
    z-index: 9;
} 
.course-name-box .slick-next{
    right: 10px;
    z-index: 9;
}
.course-name-box .slick-prev:before{
    content: '\f0d9';
    font-weight: bold;
    font-family: "Font Awesome 5 Free";
    display: block;
    font-size: 24px;
    color: #888;
    opacity: 1;
}
.course-name-box .slick-next:before{
    content: '\f0da';
    font-weight: bold;
    font-family: "Font Awesome 5 Free";
    display: block;
    font-size: 24px;
    color: #888;
    opacity: 1;
}
.course-info-box{
    width: 100%;
    margin-top: 30px;
}
.course-info-title-box{
    width: 100%;
    display: block;
    background-color: #eee;
    border: 1px solid #d1d1d1;
    box-sizing: border-box;
    padding: 0 40px;
}
.course-info-title{
    width: calc(100% - 550px);
    font-size: 28px;
    font-weight: bold;
    color: #000;
    letter-spacing: 1px;
    display: inline-block;
    vertical-align: middle;
    line-height: 80px;
}
.course-info-price-box{
    width: 550px;
    display: inline-block;
    vertical-align: middle;
    text-align: right;
}
.course-info-price-old{
    font-size: 20px;
    font-weight: bold;
    color: #888;
    letter-spacing: 1px;
    position: relative;
    display: inline-block;
    vertical-align: middle;
    margin-right: 10px;
}
.course-info-price-old sup{
    font-size: 12px;
    vertical-align: super;
    font-family: "roboto";
    font-weight: 700;
}
.course-info-price-old span{
    font-family: "roboto";
    font-weight: 700;
}
.course-info-price-old:after{
    content: '';
    width: calc(100% + 6px);
    height: 1px;
    background-color: #888;
    position: absolute;
    top: 50%;
    left: -3px;
    display: block;
}
.course-info-price-now{
    font-size: 20px;
    font-weight: bold;
    color: #000;
    letter-spacing: 1px;
    position: relative;
    display: inline-block;
    vertical-align: middle;
}
.course-info-price-now sup{
    font-size: 12px;
    color: #ee1717;
    vertical-align: super;
    font-family: "roboto";
    font-weight: 700;
}
.course-info-price-now span{
    color: #ee1717;
    font-family: "roboto";
    font-weight: 700;
}
.course-info-buy-box{
    width: 130px;
    line-height: 40px;
    font-size: 20px;
    font-weight: bold;
    letter-spacing: 1px;
    display: inline-block;
    vertical-align: middle;
    color: #000;
    text-align: center;
    background-color: #fff;
    border: 1px solid #d1d1d1;
    margin-left: 20px;
}
.course-info{
    background-color: #fff;
    box-sizing: border-box;
    padding: 40px;
    padding-bottom: 25px;
}
.course-info-img-box{
    margin-bottom: 100px;
}
.course-info-class-name{
    font-size: 20px;
    color: #000;
    letter-spacing: 1px;
    font-weight: bold;
    display: inline-block;
}
.course-info-class-name i{
    color: #d1d1d1;
    margin-right: 10px;
}
.course-info-line{
    width: 100%;
    height: 1px;
    background-color: #d1d1d1;
    display: block;
    margin-top: 15px;
}
.course-info-edit{
    width: 100%;
    display: block;
    font-size: 16px;
    color: #555;
    line-height: 2;
    letter-spacing: 1px;
    box-sizing: border-box;
    padding: 15px 0;
}

.course-info-photo span{
    width: 100%;
    height: calc(1200px / 2);
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.course-info-photo-box .slick-prev{
    left: -30px;
    z-index: 9;
} 
.course-info-photo-box .slick-next{
    right: -30px;
    z-index: 9;
}
.course-info-photo-box .slick-prev:before{
    content: '\f0d9';
    font-weight: bold;
    font-family: "Font Awesome 5 Free";
    display: block;
    font-size: 24px;
    color: #888;
    opacity: 1;
}
.course-info-photo-box .slick-next:before{
    content: '\f0da';
    font-weight: bold;
    font-family: "Font Awesome 5 Free";
    display: block;
    font-size: 24px;
    color: #888;
    opacity: 1;
}
.course-info-photo-box.slick-dotted.slick-slider{
    margin-bottom: 0;
}
.course-info-photo-box .slick-dots{
    right: 0;
    bottom: 10px;
    text-align: right;
    box-sizing: border-box;
    padding: 0 15px;
}
.course-info-photo-box .slick-dots li{
    width: initial;
    height: initial;
    display: inline-block;
}
.course-info-photo-box .slick-dots li button{
    width: 14px;
    height: 14px;
    display: inline-block;
    padding: 0;
}
.course-info-photo-box .slick-dots li button:before{
    font-size: 14px;
    width: 14px;
    height: 14px;
    line-height: 14px;
    color: #fff;
    opacity: 1;
}
.course-info-photo-box .slick-dots li.slick-active button:before{
    color: #000;
}
.course-info-class-open{
    text-align: center;
    font-size: 20px;
    color: #000;
    font-weight: bold;
    letter-spacing: 1px;
    margin-top: 25px;
}
.course-info-class-open span{
    font-family: "Roboto";
    font-weight: 700;
}


.course-feedback-box{
    margin-top: 40px;
}
.course-feedback-title-box{
    font-size: 20px;
    letter-spacing: 1px;
    color: #000;
    font-weight: bold;
    text-align: center;
    line-height: 60px;
    background-color: #eee;
    border: 1px solid #d1d1d1;
}
.course-feedback{
    background-color: #fff;
    box-sizing: border-box;
    padding: 40px;
    padding-bottom: 25px;
}
.course-feedback-window-box,
.course-feedback-bill-box{
    width: 310px;
    display: inline-block;
    vertical-align: middle;
}
.course-feedback-bill-box{
    margin: 0 40px;
}
.course-feedback-img-box{
    width: 100%;
    height: 310px;
    box-sizing: border-box;
    padding: 10px;
    overflow: hidden;
    position: relative;
}
.course-feedback-img-box span{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all .3s linear;
}
.border-tl{
    position: absolute;
    top: 0;
    left: 0;
    background-color: #d1d1d1;
    display: block;
}
.border-tr{
    position: absolute;
    top: 0;
    right: 0;
    background-color: #d1d1d1;
    display: block;
}
.border-bl{
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: #d1d1d1;
    display: block;
}
.border-br{
    position: absolute;
    bottom: 0;
    right: 0;
    background-color: #d1d1d1;
    display: block;
}
.border-w{
    width: 10px;
    height: 1px;
    transition: all .3s linear;
}
.border-h{
    width: 1px;
    height: 10px;
    transition: all .3s linear;
}
.course-feedback-text{
    display: block;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    color: #000;
    letter-spacing: 1px;
    margin-top: 10px;
}
.course-feedback-text-box{
    width: 500px;
    display: inline-block;
    vertical-align: top;
    border: 1px solid #d1d1d1;
    box-sizing: border-box;
    padding: 0 20px;
    padding-bottom: 15px;
}
.course-feedback-text-name{
    display: inline-block;
    width: 110px;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    letter-spacing: 1px;
    color: #000;
    background-color: #fff;
    position: relative;
    top: -15px;
}
.course-feedback-edit-text{
    font-size: 16px;
    color: #555;
    letter-spacing: 1px;
    text-align: left;
    min-height: 265px;
    max-height: 265px;
    overflow-y: auto;
}
.course-info-title-all-box.fix{
    width: 100%;
    position: fixed;
    top: 80px;
    left: 0;
    z-index: 99;
}
.course-info-title-all-box.fix .course-info-title-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
@media only screen and (max-width: 1280px){
    .course-info-title-all-box.fix .course-info-title-box{
        width: 1200px;
    }
    .course-all-box{
        width: 1200px;
    }
    .course-name{
        width: 340px;
        margin-right: 50px;
    }
    .course-name-img-box{
        height: 227px;
    }
    .course-feedback-window-box, .course-feedback-bill-box{
        width: 280px;
    }
    .course-feedback-text-box{
        width: calc(100% - 640px);
    }
    .course-feedback-img-box{
        height: 280px;
    }
    .course-feedback-edit-text{
        min-height: 235px;
        max-height: 235px;
    }
    .course-info-photo span{
        height: calc(1120px / 2);
    }
}

@media only screen and (max-width: 1200px){
    .course-info-title-all-box.fix .course-info-title-box{
        width: 1000px;
    }
    .course-all-box{
        width: 1000px;
    }
    .course-name{
        width: 280px;
        margin-right: 40px;
    }
    .course-name-img-box{
        height: 187px;
    }
    .course-info-title{
        font-size: 26px;
        line-height: 70px;
        width: calc(100% - 480px);
    }
    .course-info-price-old,
    .course-info-price-now,
    .course-info-buy-box{
        font-size: 18px;
    }
    .course-info-price-box{
        width: 480px;
    }
    .course-info-class-name{
        font-size: 18px;
    }
    .course-info-edit{
        font-size: 14px;
    }
    .course-feedback-title-box{
        font-size: 18px;
        line-height: 50px;
    }
    .course-feedback-window-box, 
    .course-feedback-bill-box{
        width: 200px;
    }
    .course-feedback-bill-box{
        margin: 0 30px;
    }
    .course-feedback-text-box{
        width: calc(100% - 460px);
    }
    .course-feedback-img-box{
        height: 200px;
    }
    .course-feedback-edit-text{
        min-height: 155px;
        max-height: 155px;
    }
    .course-info-photo span{
        height: calc(920px / 2);
    }
}
@media only screen and (max-width: 1000px){
    .course-info-title-all-box.fix{
        top: 69px;
    }
    .course-info-title-all-box.fix .course-info-title-box{
        width: 750px;
    }
    .course-box{
        margin-top: 69px;
    }
    .course-all-box{
        width: 750px;
    }
    .course-name-box{
        padding: 30px;
    }
    .course-name-box .slick-prev{
        left: 5px;
    }
    .course-name-box .slick-next{
        right: 5px;
    }
    .course-name{
        width: 330px;
        margin-right: 30px;
    }
    .course-name-img-box{
        height: 220px;
    }
    .course-info,
    .course-feedback{
        padding: 30px;
        padding-bottom: 20px;
    }
    .course-info-title-box{
        padding: 0 20px;
    }
    .course-info-title{
        width: calc(100% - 430px);
    }
    .course-info-price-box{
        width: 430px;
    }
    .course-info-img-box{
        margin-bottom: 50px;
    }
    .course-info-photo span{
        height: calc(690px / 2);
    }
    .course-info-photo-box .slick-prev{
        left: -25px;
    }
    .course-info-photo-box .slick-next{
        right: -25px;
    }
    .course-info-photo-box .slick-dots li button{
        width: 12px;
        height: 12px;
    }
    .course-info-photo-box .slick-dots li button:before{
        font-size: 12px;
        width: 12px;
        height: 12px;
        line-height: 12px;
    }
    .course-info-class-open{
        font-size: 18px;
        margin-top: 20px;
    }
    .course-feedback-text{
        font-size: 16px;
    }
    .course-feedback-text-name{
        font-size: 16px;
        width: 100px;
        top: -12px;
    }
    .course-feedback-text-box{
        padding: 0 15px;
        padding-bottom: 10px;
    }
    .course-feedback-edit-text{
        font-size: 14px;
    }
    .course-banner-btn-box{
        display: none;
    }
    #course .pages-banner-img-box{
        height: 400px;
    }
}
@media only screen and (max-width: 750px){
    .course-info-title-all-box.fix .course-info-title-box{
        width: 550px;
    }
    .course-all-box{
        width: 550px;
        padding: 40px 0;
    }
    .course-name{
        width: 230px;
        margin-right: 30px;
    }
    .course-name-img-box{
        height: 153px;
    }
    .course-text{
        font-size: 14px;
    }
    .course-name-box{
        padding: 15px 30px;
        padding-bottom: 10px;
    }
    .course-info-title{
        width: 100%;
    }
    .course-info-price-box{
        width: 100%;
        margin-bottom: 5px;
    }
    .course-info-title{
        font-size: 20px;
        line-height: 50px;
    }
    .course-info-price-old, 
    .course-info-price-now, 
    .course-info-buy-box{
        font-size: 16px;
    }
    .course-info-buy-box{
        width: 100px;
        line-height: 30px;
        margin-left: 10px;
    }
    .course-info-img-box{
        margin-bottom: 25px;
    }
    .course-feedback-title-box{
        font-size: 16px;
        line-height: 40px;
    }
    .course-feedback-text-box{
        width: 100%;
        margin-top: 20px;
    }
    .course-feedback-window-box{
        width: calc(50% - 15px);
    }
    .course-feedback-bill-box{
        width: calc(50% - 15px);
        margin: 0;
        margin-left: 30px;
    }
    .course-feedback-img-box{
        height: 230px;
    }
    .course-feedback-edit-text{
        max-height: inherit;
        min-height: inherit;
    }
    .course-info-photo span {
        height: calc(490px / 2);
    }
}
@media only screen and (max-width: 550px){
    .course-info-title-all-box.fix{
        top: 59px;
    }
    .course-info-title-all-box.fix .course-info-title-box{
        width: 400px;
    }
    .course-box{
        margin-top: 59px;
    }
    .course-all-box{
        width: 400px;
    }
    .course-name-box{
        padding: 15px 20px;
        padding-bottom: 5px;
    }
    .course-name{
        width: 170px;
        margin-right: 20px;
    }
    .course-name-img-box{
        height: 113px;
    }
    .course-name-box .slick-prev{
        left: -2px;
    }
    .course-name-box .slick-next{
        right: -2px;
    }
    .course-text{
        margin-top: 5px;
    }
    .course-info-title-box{
        padding: 0 10px;
    }
    .course-info-title{
        font-size: 18px;
        line-height: 40px;
    }
    .course-info-price-old, 
    .course-info-price-now, 
    .course-info-buy-box{
        font-size: 14px;
    }
    .course-info-class-name{
        font-size: 16px;
    }
    .course-info-line{
        margin-top: 10px;
    }
    .course-info-edit{
        font-size: 12px;
        line-height: 1.8;
        padding: 10px 0;
    }
    .course-info{
        padding: 20px;
        padding-bottom: 10px;
    } 
    .course-feedback{
        padding: 20px;
    }
    .course-info-photo-box .slick-prev{
        left: -20px;
    }
    .course-info-photo-box .slick-next{
        right: -20px;
    }
    .course-info-photo-box .slick-dots{
        bottom: 5px;
        padding: 0 10px;
    }
    .course-info-photo-box .slick-dots li{
        margin: 0 3px;
    }
    .course-info-photo-box .slick-dots li button{
        width: 10px;
        height: 10px;
    }
    .course-info-photo-box .slick-dots li button:before{
        content: '';
        background-color: #fff;
        width: 10px;
        height: 10px;
        overflow: hidden;
        border-radius: 50%;
    }
    .course-info-photo-box .slick-dots li.slick-active button:before{
        color: inherit;
        background-color: #000;
    }
    .course-info-class-open{
        font-size: 16px;
        margin-top: 10px;
    }
    .course-feedback-box{
        margin-top: 20px;
    }
    .course-feedback-img-box{
        padding: 5px;
    }
    .course-feedback-window-box{
        width: calc(50% - 10px);
    }
    .course-feedback-bill-box{
        width: calc(50% - 10px);
        margin-left: 20px;
    }
    .course-feedback-img-box{
        height: 120px;
    }
    .course-feedback-text{
        font-size: 14px;
        margin-top: 5px;
    }
    .course-feedback-text-box{
        padding: 0 5px;
        padding-bottom: 10px;
    }
    .course-feedback-text-name{
        font-size: 14px;
        width: 80px;
        line-height: 1.2;
        top: -10px;
    }
    .course-feedback-edit-text{
        font-size: 12px;
    }
    .course-info-photo span {
        height: calc(360px / 2);
    }
}

@media only screen and (max-width: 400px){
    .course-info-title-all-box.fix .course-info-title-box{
        width: 300px;
    }
    .course-all-box{
        width: 300px;
        padding: 20px 0;
    }
    .course-name{
        width: 260px;
    }
    .course-name-img-box{
        height: 173px;
    }
    .course-info-title{
        font-size: 16px;
        line-height: 30px;
    }
    .course-info-price-old, 
    .course-info-price-now, 
    .course-info-buy-box{
        font-size: 12px;
    }
    .course-info-buy-box{
        width: 65px;
        line-height: 26px;
        margin-left: 5px;
    }
    .course-info-price-old{
        margin-right: 5px;
    }
    .course-info-price-old sup,
    .course-info-price-now sup{
        vertical-align: middle;
    }
    .course-info-price-box{
        padding-bottom: 0;
    }
    .course-info-title-box{
        padding: 5px;
    }
    .course-info-photo span {
        height: calc(260px / 2);
    }
    .course-info-class-name{
        font-size: 14px;
    }
    .course-info-line{
        margin-top: 5px;
    }
    .course-info-edit{
        padding: 5px 0;
    }
    .course-info-photo-box .slick-dots li{
        margin: 0 3px;
    }
    .course-info-photo-box .slick-dots li button{
        width: 8px;
        height: 8px;
    }
    .course-info-photo-box .slick-dots li button:before{
        content: '';
        background-color: #fff;
        width: 8px;
        height: 8px;
        overflow: hidden;
        border-radius: 50%;
    }
    .course-info-photo-box .slick-dots{
        padding: 0 5px;
    }
    .course-info-class-open{
        font-size: 14px;
        margin-top: 5px;
    }
    .course-feedback-title-box{
        font-size: 14px;
        line-height: 30px;
    }
    .course-feedback-img-box{
        height: 120px;
    }
    .course-feedback-text{
        font-size: 12px;
    }
}







/*animation*/

@keyframes arrow_ani {
    0%{
        transform: translateY(0);
    }
    to {
        transform: translateY(-10px);
    }
}

/*-------------hover------------*/
.course-banner-btn:hover .course-banner-arrow-t{
    animation: arrow_ani 1s linear 0s infinite alternate;
}
.course-banner-btn:hover .course-banner-text-box{
    transform: scale(1.1);
}
.course-feedback-img-box:hover span{
    transform: scale(1.1);
}
.course-feedback-img-box:hover .border-w{
    width: 20px;
    height: 2px;
    background-color: #000;
}
.course-feedback-img-box:hover .border-h{
    width: 2px;
    height: 20px;
    background-color: #000;
}
